### Hierarchy

- unknown
  - SendNotificationRequest

## Index

### Constructors

- constructor

### Methods

- clearNotification
- getNotification
- hasNotification
- serializeBinary
- setNotification
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SendNotificationRequest(): SendNotificationRequest

- Inherited from jspb.Message.constructor

  #### Returns SendNotificationRequest

## Methods

### clearNotification

- clearNotification(): SendNotificationRequest

- - Defined in src/protobuf/grpc_pb.d.ts:735

  #### Returns SendNotificationRequest

### getNotification

- getNotification(): undefined | NotificationMessage

- - Defined in src/protobuf/grpc_pb.d.ts:732

  #### Returns undefined | NotificationMessage

### hasNotification

- hasNotification(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:734

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:737

  #### Returns Uint8Array

### setNotification

- setNotification(value?: NotificationMessage ): SendNotificationRequest

- - Defined in src/protobuf/grpc_pb.d.ts:733

  #### Parameters

  - ##### Optional value: NotificationMessage

  #### Returns SendNotificationRequest

### toObject

- toObject(includeInstance?: boolean): SendNotificationRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:738

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SendNotificationRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendNotificationRequest

- - Defined in src/protobuf/grpc_pb.d.ts:741

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendNotificationRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendNotificationRequest, reader: BinaryReader): SendNotificationRequest

- - Defined in src/protobuf/grpc_pb.d.ts:742

  #### Parameters

  - ##### message: SendNotificationRequest

  - ##### reader: BinaryReader

  #### Returns SendNotificationRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SendNotificationRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:740

  #### Parameters

  - ##### message: SendNotificationRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SendNotificationRequest ): SendNotificationRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:739

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendNotificationRequest

  #### Returns SendNotificationRequest . AsObject

Generated using TypeDoc